//используется в Шинах-Дисках

@media screen and (max-width: 1024px) {

  .kit.screens {
    position: relative;
    overflow: hidden;
    &:before {
      display: block;
      position: absolute;
    }

    .kit.float-btn {
      display: none;
    }
    &.loaded:not(.start) {
      .kit.float-btn {
        display: block;
      }
    }

    .screen {
      width: 100% !important;
      min-width: 100% !important;
      max-width: 100% !important;
      border: none !important;
      background: #ffffff !important;
      transform: scale(.98);
      transform-origin: top;
      opacity: 0;
      pointer-events: none;
      transition: all .25s ease;
      position: absolute;
      top: 0;
      left: 0;
      z-index: 999;
      &:first-child {
        position: relative;
        transform: scale(1);
        opacity: 1;
        pointer-events: all;
      }
    }
    &.loaded {
      height: auto;
      .screen {
        &.active {
          position: relative;
          transform: scale(1);
          opacity: 1;
          pointer-events: all;
        }
        &:first-child:not(.active) {
          position: absolute !important;
          transform: scale(.98);
          opacity: 0;
          pointer-events: none;
        }
      }
    }
    &.slide {
      .screen {
        transform: translateX(110%);
        opacity: 0;
        transition: all 1s ease;
        &.active {
          transform: translateX(0);
          opacity: 1;
        }
        &.previous {
          transform: translateX(-110%) !important;
          opacity: 0;
        }
      }
    }
  }

  &.loading {
    [data-screen]:not([data-screen="index"]) {
      display: none;
    }
  }
}
